import 'package:flutter/material.dart';
import 'package:modular_system_core/modular_system_core.dart';

class EntityTableViewModel<T> {
  TextEditingController searchbarController = TextEditingController();
  AppEvent updateEvent = AppEvent();
  AppEvent showForm = AppEvent();
  AppEvent showTable = AppEvent();
  WebSearchRequest search =
      WebSearchRequest(pagination: PaginationIn.fromLimit());
  PaginationOut paginationOut = PaginationOut.fromLimit();
  List<T> data = [];
}
